Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.horizontal.model.util
Class HorizontalAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecp.view.spi.horizontal.model.util.HorizontalAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  HorizontalItemProviderAdapterFactory

    public class HorizontalAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

Since:
  1.2
See Also:
  `VHorizontalPackage`

Constructor Summary
`HorizontalAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createContainedContainerAdapter()` Creates a new adapter for an object of class '`Contained Container`'.
`org.eclipse.emf.common.notify.Adapter` | `createContainedElementAdapter()` Creates a new adapter for an object of class '`Contained Element`'.
`org.eclipse.emf.common.notify.Adapter` | `createContainerAdapter()` Creates a new adapter for an object of class '`Container`'.
`org.eclipse.emf.common.notify.Adapter` | `createElementAdapter()` Creates a new adapter for an object of class '`Element`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createHorizontalLayoutAdapter()` Creates a new adapter for an object of class ' `Layout`'.
`boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HorizontalAdapterFactory

    public HorizontalAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createHorizontalLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createHorizontalLayoutAdapter()

  Creates a new adapter for an object of class ' `Layout`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VHorizontalLayout`

### createElementAdapter

    public org.eclipse.emf.common.notify.Adapter createElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VElement`

### createContainedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createContainedElementAdapter()

  Creates a new adapter for an object of class '`Contained Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VContainedElement`

### createContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createContainerAdapter()

  Creates a new adapter for an object of class '`Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VContainer`

### createContainedContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createContainedContainerAdapter()

  Creates a new adapter for an object of class '`Contained Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.4
  See Also:
    `VContainedContainer`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.